Package org.eclipse.microprofile.openapi.apps.airlines.resources

## Class ReviewResource

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.airlines.resources.ReviewResource

    @Path("/reviews")
    public class ReviewResource
    extends Object

### Constructor Summary

Constructors
`ReviewResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `createReview​(Review review)`
`jakarta.ws.rs.core.Response` `deleteReview​(int id)`
`jakarta.ws.rs.core.Response` `getAllReviews()`
`jakarta.ws.rs.core.Response` `getReviewByAirline​(String airlines)`
`jakarta.ws.rs.core.Response` `getReviewByAirlineAndUser​(String user, String airlines)`
`jakarta.ws.rs.core.Response` `getReviewById​(int id)`
`jakarta.ws.rs.core.Response` `getReviewByUser​(String user, Integer minRating, String ifMatch, String trackme)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReviewResource

    public ReviewResource()

### Method Detail

#### getAllReviews

    @GET
    @Produces("application/json")
    public jakarta.ws.rs.core.Response getAllReviews()

#### getReviewById

    @GET
    @Path("{id}")
    @Produces("application/json")
    public jakarta.ws.rs.core.Response getReviewById​(@PathParam("id")
                                                     int id)

#### getReviewByUser

    @GET
    @Path("users/{user}")
    @Produces("application/json")
    public jakarta.ws.rs.core.Response getReviewByUser​(@PathParam("user")
                                                       String user,
                                                       @QueryParam("minRating")
                                                       Integer minRating,
                                                       @HeaderParam("If-Match")
                                                       String ifMatch,
                                                       @CookieParam("trackme")
                                                       String trackme)

#### getReviewByAirline

    @GET
    @Path("airlines/{airline}")
    @Produces("application/json")
    public jakarta.ws.rs.core.Response getReviewByAirline​(@PathParam("airline")
                                                          String airlines)

#### getReviewByAirlineAndUser

    @GET
    @Path("{user}/{airlines}")
    @Produces("application/json")
    public jakarta.ws.rs.core.Response getReviewByAirlineAndUser​(@PathParam("user")
                                                                 String user,
                                                                 @PathParam("airlines")
                                                                 String airlines)

#### createReview

    @POST
    @Consumes("application/json")
    @Produces("application/json")
    public jakarta.ws.rs.core.Response createReview​(Review review)
                                             throws ReviewRejectedException

Throws:
  `ReviewRejectedException`

#### deleteReview

    @DELETE
    @Path("{id}")
    @Produces("text/plain")
    public jakarta.ws.rs.core.Response deleteReview​(@PathParam("id")
                                                    int id)